net.sf.jasperreports.export

## Class SimpleXlsMetadataReportConfiguration

- java.lang.Object
- - net.sf.jasperreports.export.SimpleCommonExportConfiguration
  - - net.sf.jasperreports.export.SimpleReportExportConfiguration
    - - net.sf.jasperreports.export.AbstractXlsReportConfiguration
      - - net.sf.jasperreports.export.SimpleXlsMetadataReportConfiguration

- All Implemented Interfaces:
    CommonExportConfiguration, ReportExportConfiguration, XlsMetadataReportConfiguration, XlsReportConfiguration
  Direct Known Subclasses:
    SimpleJxlMetadataReportConfiguration

      public class SimpleXlsMetadataReportConfiguration
      extends AbstractXlsReportConfiguration
      implements XlsMetadataReportConfiguration

  Version:
    $Id: SimpleXlsMetadataExporterConfiguration.java 6720 2013-11-11 10:44:07Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.export.XlsMetadataReportConfiguration

      `PROPERTY_COLUMN_NAMES_PREFIX, PROPERTY_WRITE_HEADER`

    - ### Fields inherited from interface net.sf.jasperreports.export.XlsReportConfiguration

      `PROPERTY_CELL_HIDDEN, PROPERTY_CELL_LOCKED, PROPERTY_COLLAPSE_ROW_SPAN, PROPERTY_COLUMN_WIDTH_RATIO, PROPERTY_DETECT_CELL_TYPE, PROPERTY_FIRST_PAGE_NUMBER, PROPERTY_FIT_HEIGHT, PROPERTY_FIT_WIDTH, PROPERTY_FONT_SIZE_FIX_ENABLED, PROPERTY_FREEZE_COLUMN, PROPERTY_FREEZE_ROW, PROPERTY_IGNORE_ANCHORS, PROPERTY_IGNORE_CELL_BACKGROUND, PROPERTY_IGNORE_CELL_BORDER, PROPERTY_IGNORE_GRAPHICS, PROPERTY_IGNORE_HYPERLINK, PROPERTY_IMAGE_ANCHOR_TYPE, PROPERTY_IMAGE_BORDER_FIX_ENABLED, PROPERTY_MAXIMUM_ROWS_PER_SHEET, PROPERTY_ONE_PAGE_PER_SHEET, PROPERTY_PAGE_SCALE, PROPERTY_PASSWORD, PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_COLUMNS, PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_ROWS, PROPERTY_SHEET_DIRECTION, PROPERTY_SHEET_FOOTER_CENTER, PROPERTY_SHEET_FOOTER_LEFT, PROPERTY_SHEET_FOOTER_RIGHT, PROPERTY_SHEET_HEADER_CENTER, PROPERTY_SHEET_HEADER_LEFT, PROPERTY_SHEET_HEADER_RIGHT, PROPERTY_SHEET_NAMES_PREFIX, PROPERTY_SHOW_GRIDLINES, PROPERTY_USE_TIMEZONE, PROPERTY_WHITE_PAGE_BACKGROUND, PROPERTY_WRAP_TEXT`

    - ### Fields inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `PROPERTY_IGNORE_PAGE_MARGINS`

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleXlsMetadataReportConfiguration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getColumnNames()` Returns an array of strings representing the comma-separated names of the columns that should be exported.
    `java.lang.Boolean` | `isWriteHeader()` Returns a boolean that specifies whether the export header (the column names) should be written or not.
    `void` | `setColumnNames(java.lang.String[] columnNames)`
    `void` | `setWriteHeader(java.lang.Boolean isWriteHeader)`

    - ### Methods inherited from class net.sf.jasperreports.export.AbstractXlsReportConfiguration

      `getColumnWidthRatio, getFirstPageNumber, getFitHeight, getFitWidth, getFormatPatternsMap, getImageAnchorType, getMaxRowsPerSheet, getPageScale, getPassword, getSheetDirection, getSheetFooterCenter, getSheetFooterLeft, getSheetFooterRight, getSheetHeaderCenter, getSheetHeaderLeft, getSheetHeaderRight, getSheetNames, isCellHidden, isCellLocked, isCollapseRowSpan, isDetectCellType, isFontSizeFixEnabled, isIgnoreAnchors, isIgnoreCellBackground, isIgnoreCellBorder, isIgnoreGraphics, isIgnoreHyperlink, isIgnorePageMargins, isImageBorderFixEnabled, isOnePagePerSheet, isRemoveEmptySpaceBetweenColumns, isRemoveEmptySpaceBetweenRows, isShowGridLines, isUseTimeZone, isWhitePageBackground, isWrapText, setCellHidden, setCellLocked, setCollapseRowSpan, setColumnWidthRatio, setDetectCellType, setFirstPageNumber, setFitHeight, setFitWidth, setFontSizeFixEnabled, setFormatPatternsMap, setIgnoreAnchors, setIgnoreCellBackground, setIgnoreCellBorder, setIgnoreGraphics, setIgnoreHyperlink, setIgnorePageMargins, setImageAnchorType, setImageBorderFixEnabled, setMaxRowsPerSheet, setOnePagePerSheet, setPageScale, setPassword, setRemoveEmptySpaceBetweenColumns, setRemoveEmptySpaceBetweenRows, setSheetDirection, setSheetFooterCenter, setSheetFooterLeft, setSheetFooterRight, setSheetHeaderCenter, setSheetHeaderLeft, setSheetHeaderRight, setSheetNames, setShowGridLines, setUseTimeZone, setWhitePageBackground, setWrapText`

    - ### Methods inherited from class net.sf.jasperreports.export.SimpleReportExportConfiguration

      `getEndPageIndex, getExporterFilter, getHyperlinkProducerFactory, getOffsetX, getOffsetY, getPageIndex, getProgressMonitor, getStartPageIndex, setEndPageIndex, setExporterFilter, setHyperlinkProducerFactory, setOffsetX, setOffsetY, setPageIndex, setProgressMonitor, setStartPageIndex`

    - ### Methods inherited from class net.sf.jasperreports.export.SimpleCommonExportConfiguration

      `isOverrideHints, setOverrideHints`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.export.XlsReportConfiguration

      `getColumnWidthRatio, getFirstPageNumber, getFitHeight, getFitWidth, getFormatPatternsMap, getImageAnchorType, getMaxRowsPerSheet, getPageScale, getPassword, getSheetDirection, getSheetFooterCenter, getSheetFooterLeft, getSheetFooterRight, getSheetHeaderCenter, getSheetHeaderLeft, getSheetHeaderRight, getSheetNames, isCellHidden, isCellLocked, isCollapseRowSpan, isDetectCellType, isFontSizeFixEnabled, isIgnoreAnchors, isIgnoreCellBackground, isIgnoreCellBorder, isIgnoreGraphics, isIgnoreHyperlink, isIgnorePageMargins, isImageBorderFixEnabled, isOnePagePerSheet, isRemoveEmptySpaceBetweenColumns, isRemoveEmptySpaceBetweenRows, isShowGridLines, isUseTimeZone, isWhitePageBackground, isWrapText`

    - ### Methods inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `getEndPageIndex, getExporterFilter, getHyperlinkProducerFactory, getOffsetX, getOffsetY, getPageIndex, getProgressMonitor, getStartPageIndex`

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Constructor Detail

    - #### SimpleXlsMetadataReportConfiguration

          public SimpleXlsMetadataReportConfiguration()

  - ### Method Detail

    - #### isWriteHeader

          public java.lang.Boolean isWriteHeader()

      Description copied from interface: `XlsMetadataReportConfiguration`
      Returns a boolean that specifies whether the export header (the column names) should be written or not.
      Specified by:
        `isWriteHeader` in interface `XlsMetadataReportConfiguration`
      See Also:
        `XlsMetadataReportConfiguration.PROPERTY_WRITE_HEADER`

    - #### setWriteHeader

          public void setWriteHeader(java.lang.Boolean isWriteHeader)

    - #### getColumnNames

          public java.lang.String[] getColumnNames()

      Description copied from interface: `XlsMetadataReportConfiguration`
      Returns an array of strings representing the comma-separated names of the columns that should be exported. NOTE: The order of the columns is important and for accurate results they should be in the same order as the original columns.
      Specified by:
        `getColumnNames` in interface `XlsMetadataReportConfiguration`
      See Also:
        `XlsMetadataReportConfiguration.PROPERTY_COLUMN_NAMES_PREFIX`

    - #### setColumnNames

          public void setColumnNames(java.lang.String[] columnNames)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com